import { PropsWithMetadata, noop } from '@highlight-ui/utils-commons';
import { ComponentPropsWithoutRef, FC, PropsWithChildren } from 'react';
export declare type DropdownMenuProps = PropsWithChildren<PropsWithMetadata<{
    /** Allows providing a custom class name to the DIV element that surrounds the text */
    className?: string;
    /** Enables closing the dropdown menu when clicking inside */
    closeOnClickAnywhere?: boolean;
    /** Whether the dropdown is open or not */
    open?: boolean;
    /** Default open value */
    defaultValue?: boolean;
    /** Prevents the open state of the dropdown menu from changing (Only works when the `open` prop is *not* being used) */
    disabled?: boolean;
    /** Callback triggered whenever the open state of the dropdown menu is changed (Only works when the `open` prop is *not* being used) */
    onChange?: typeof noop;
    /** Callback triggered whenever the dropdown menu  is closed (Only works when the `open` prop is *not* being used) */
    onClose?: typeof noop;
    /** Callback triggered whenever the dropdown menu  is opened (Only works when the `open` prop is *not* being used) */
    onOpen?: typeof noop;
    /** Callback triggered when the open state of the dropdown menu is about to change (Only works when the `open` prop is in use) */
    onRequestToChange?: typeof noop;
}>> & Omit<ComponentPropsWithoutRef<'div'>, 'defaultValue'>;
declare const DropdownMenu: FC<DropdownMenuProps>;
export default DropdownMenu;
